#eureka client配置
eureka.client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
eureka.instance.appGroupName: hnsyy
prolog.tx.url: http://192.168.1.21:7000/tx/manager/
prolog.auth.redis.namespace: "hnsyy_wms_user:"

spring:
  application:
    name: upcloud-base-wh-outbound
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: hnsyy-wms
    password: hnsyy-wms
    virtual-host: /hnsyy-wms
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.13:2206/upcloud_biz_outbound_hnsyy?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: dev
    password: prolog0212-dev
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
prolog:
  dao:
    dialect: mysql
    performance:
      enable: true
      showSql: true
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  serarch:
    url: http://service-data-api-base/search
mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response
eis:
  infTaskOutUrl: http://192.168.1.88:30512/api/v1/wms/out/outBoundRequest
  billPriorityUrl: http://192.168.1.88:30513/api/v1/wms/operation/priorityRequest
oms:
  outComingRecordBack: http://192.168.1.212:10001/api/oms/outcoming
logging:
  config: classpath:log4j2-test.xml
  level.root: info